2026-06-26 17:49:44 UTC
294 MB
/usr/java/openjdk-28
JAVA_VERSION28-ea+4
LANGC.UTF-8
PATH/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:ded2aa0abafd1e1e93e05338cb1b14916dbeb283d3862aa21e5d8b0164f4cbf3 - 13.98% (41.1 MB)
[#001] sha256:7f33c2767f1258249fd3138c95a77cdf445ec500d0b72cdf0ec80865c4307258 - 12.23% (35.9 MB)
[#002] sha256:922b47249f9035226eaeb47c8f23353dad870b8f258d8fe217299c1277f452dc - 73.79% (217 MB)
ADD oraclelinux-10-slim-amd64-rootfs.tar.xz / # buildkit
2026-05-12 18:44:08 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-06-26 17:49:34 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-06-26 17:49:44 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-28
2026-06-26 17:49:44 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-06-26 17:49:44 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-06-26 17:49:44 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=28-ea+4
2026-06-26 17:49:44 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/4/GPL/openjdk-28-ea+4_linux-x64_bin.tar.gz'; downloadSha256='3f349a9ae39761069b8132f7ba529bec7bf6c759376f77cb57520d3f21d4fa23'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/4/GPL/openjdk-28-ea+4_linux-aarch64_bin.tar.gz'; downloadSha256='a49e869b72df691c734d29e133fd15ae49bed271913327704c9bca6c2132525d'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-06-26 17:49:44 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
2026-06-26 22:44:01 UTC
2.33 GB
C:\openjdk-28
JAVA_SHA256b85f4b0c1313453fc760c198dec39f0c3a27e386671a184a123c19fcfb46c776
JAVA_URLhttps://download.java.net/java/early_access/jdk28/4/GPL/openjdk-28-ea+4_windows-x64_bin.zip
JAVA_VERSION28-ea+4
[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 60.82% (1.42 GB)
[#001] sha256:2ee71d57b2226db82d002abc39a97b7dd144f007db435566364a0285bf115b83 - 30.19% (721 MB)
[#002] sha256:ef8e4546b69fc08bed7bcc81486904a224e3a5e52d2a8c4dca141adca5ee5ce0 - 0.0% (1.29 KB)
[#003] sha256:ff609767754f9b924164651999bae6286a7bd48f87a9139fa1eb36a0a6bcd768 - 0.02% (393 KB)
[#004] sha256:59ac0af4c28df97ed46f78c867f8ab2a0447ccf0fdb07fe6d3e26d8325d34144 - 0.0% (1.25 KB)
[#005] sha256:e9ae7cb620fb920cd95bfea7f2a20fbf67082af59603aba342d7ce75cf50d4be - 0.02% (381 KB)
[#006] sha256:4c12e28cb48b30bc7ad092e94270c725615e04db0a8fbffeb1b2bec412dab5e0 - 0.0% (1.25 KB)
[#007] sha256:d342bd7ab30f17d3e1815b1a3e603bd9d90c1cd960a60755f0c855d14e8fbc10 - 0.0% (1.23 KB)
[#008] sha256:700ef82c47bc6ae276429173436bccfc7077070927b9be5628bcb3e03e3b896d - 0.0% (1.26 KB)
[#009] sha256:aa2b2c841cff667bb27278ef8709950bcf2b685c6567e0416a71e57055eeb54f - 8.96% (214 MB)
[#010] sha256:c4b2b7c40675f1a3dc7dff1cbbf73c32eff9455e61e9132903d565e1d93c2953 - 0.0% (1.23 KB)
Apply image 10.0.26100.32230
2026-06-07 07:36:39 UTCInstall update 10.0.26100.32995
2026-06-26 22:42:51 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-06-26 22:43:25 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-06-26 22:43:26 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28
2026-06-26 22:43:32 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-06-26 22:43:32 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+4
2026-06-26 22:43:33 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/4/GPL/openjdk-28-ea+4_windows-x64_bin.zip
2026-06-26 22:43:34 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=b85f4b0c1313453fc760c198dec39f0c3a27e386671a184a123c19fcfb46c776
2026-06-26 22:44:00 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-06-26 22:44:01 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-06-26 22:45:41 UTC
2.2 GB
C:\openjdk-28
JAVA_SHA256b85f4b0c1313453fc760c198dec39f0c3a27e386671a184a123c19fcfb46c776
JAVA_URLhttps://download.java.net/java/early_access/jdk28/4/GPL/openjdk-28-ea+4_windows-x64_bin.zip
JAVA_VERSION28-ea+4
[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 63.16% (1.39 GB)
[#001] sha256:6897a04901ec162be0eabd7eb636b5ac50d6e37c880f1db618610f2d777b1ce6 - 27.28% (613 MB)
[#002] sha256:4c6abaff06b6cf8d216a7cd97ba106d8b7fff77fd20dd23f8b011085d795dedb - 0.0% (1.32 KB)
[#003] sha256:1ce2cd747a577ffed1599ea67899827f4db92db1edeae4f67de272e5fec1d0cf - 0.02% (491 KB)
[#004] sha256:9090a0352da1996214a8fc740c6e23e2bbab6dde1ced339c3c0b30fe72be7a0d - 0.0% (1.29 KB)
[#005] sha256:a32ad2d94825c4e1b134e3e5a48ac35fa1f98a908728fde6a270b03206734890 - 0.01% (344 KB)
[#006] sha256:96d8dfb02e6af436f55e266423d5e1f045a2abfe1323986f43c65c859adbc409 - 0.0% (1.29 KB)
[#007] sha256:9021843611160965c7d4201b79f6336006a9efe82a335d80018c89cd0ab5d579 - 0.0% (1.27 KB)
[#008] sha256:54537bdf3282a6b77f0c47bed33d2064bc1f0c8749582a664f3d812a42853c70 - 0.0% (1.29 KB)
[#009] sha256:3b1b2d5f8e0e7c7ff167c844a2dc9eb050cd4509e8c322ca9776804ea2e1bea7 - 9.52% (214 MB)
[#010] sha256:9a3007c94ba763e47716d2e6ef9ff6e6e85f6cec5fc92654f983ab8b544cd4d1 - 0.0% (1.29 KB)
Apply image 10.0.20348.4294
2026-06-07 06:43:23 UTCInstall update 10.0.20348.5256
2026-06-26 22:43:12 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2026-06-26 22:43:54 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'
2026-06-26 22:43:55 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-28
2026-06-26 22:44:02 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'
2026-06-26 22:44:02 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=28-ea+4
2026-06-26 22:44:03 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk28/4/GPL/openjdk-28-ea+4_windows-x64_bin.zip
2026-06-26 22:44:04 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=b85f4b0c1313453fc760c198dec39f0c3a27e386671a184a123c19fcfb46c776
2026-06-26 22:45:40 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'
2026-06-26 22:45:41 UTCpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]
2026-06-26 17:54:47 UTC
291 MB
/usr/java/openjdk-28
JAVA_VERSION28-ea+4
LANGC.UTF-8
PATH/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:523b5fcd95921b1880258a8c56e30985e8f3adf21d143bf177907dc76d6a562b - 13.62% (39.6 MB)
[#001] sha256:f6874a711555de5763ac0a1baf87290916d7b912ed089634e4042b6e9aa672b6 - 12.37% (35.9 MB)
[#002] sha256:dd72f79b37847e8a9f4c0dc38f246594dc4020e19bb20cc4c972b19fd81804aa - 74.01% (215 MB)
ADD oraclelinux-10-slim-arm64v8-rootfs.tar.xz / # buildkit
2026-05-12 18:43:55 UTC (buildkit.dockerfile.v0)CMD ["/bin/bash"]
2026-06-26 17:54:35 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit
2026-06-26 17:54:47 UTC (buildkit.dockerfile.v0)ENV JAVA_HOME=/usr/java/openjdk-28
2026-06-26 17:54:47 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/java/openjdk-28/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-06-26 17:54:47 UTC (buildkit.dockerfile.v0)ENV LANG=C.UTF-8
2026-06-26 17:54:47 UTC (buildkit.dockerfile.v0)ENV JAVA_VERSION=28-ea+4
2026-06-26 17:54:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk28/4/GPL/openjdk-28-ea+4_linux-x64_bin.tar.gz'; downloadSha256='3f349a9ae39761069b8132f7ba529bec7bf6c759376f77cb57520d3f21d4fa23'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk28/4/GPL/openjdk-28-ea+4_linux-aarch64_bin.tar.gz'; downloadSha256='a49e869b72df691c734d29e133fd15ae49bed271913327704c9bca6c2132525d'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit
2026-06-26 17:54:47 UTC (buildkit.dockerfile.v0)CMD ["jshell"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.